标签 Xcode 下的文章

The run destination * is not valid for Running the scheme '*'.

Xcode BaseSDK

错误原因:工程设定的SDK Version和PC上安装的Xcode对应的Mac or iOS SDK Version不一致。如图下来下来的工程SDK Version是10.5。但是本机安装的是macOS 10.12

  1. 解决办法:

Solution,to change the Base SDK Version:

  1. Click on the project icon in the left hand panel.
  2. In the right hand panel that appears, select Build Settings » all.
  3. You'll see the option to change the "Base SDK". Architectures » Base SDK.
  4. change Base SDK option to your project corresponding SDK version, OS X SDKs or iOS SDKs.